#!/usr/bin/ruby
# qrk のログを保存するスクリプト
# $Id: store_log.rb 1420 2009-10-15 23:04:09Z satofumi $
# Satofumi KAMIMURA

# ディレクトリの作成
dir_name = 'log_' + Time.now.strftime("%y%m%d_%H%M%S")
Dir.mkdir(dir_name)

# ファイルの移動
move_command = "mv *.log *.jpg " + dir_name
system(move_command)

# ディレクトリが空ならば削除してしまう
remove_command = "rmdir --ignore-fail-on-non-empty " + dir_name
system(remove_command)
